/* **********************************************************
 * SECTION COLUMN STYLES
 * ******************************************************** */



/* *****************************
 * SEARCH BAR ROW - like on Blog, Blog Category, Shop
 * *************************** */
.search-col, 
.search-col .site-search,
.search-col .jet-search, 
.search-col .jet-ajax-search,
.search-col .jet-ajax-search__form,
.view-all-col,
.btn-archive-view-all a {
    height: 100% !important;
    width: 100%;	
}
.btn-archive-view-all .elementor-button-wrapper,
.btn-archive-view-all .ha-creative-btn-wrap {
	display: flex;
    width: 100%;
}


/* *****************************
 * PARALLAX SECTION BACKGROUND
 * *************************** */
.section-bg-parallax {
	/* Adjust the Effect */
    transform: translateZ(-1px) scale(1.15); 
    background-position: center !important;
    position: absolute;
}


/* *****************************
 * FIXED BACKGROUND - OVERRIDE SO ALSO FIXED ON MOBILE
 * Add the class bg-fixed to the section
 * *************************** */
html:not(.ios) .bg-fixed,
html:not(.ios) .bg-fixed .elementor-background-overlay,
html:not(.ios) .bg-fixed:before {
    background-attachment: fixed !important;
}
@media (max-width: 1040px) {
	.mac .bg-fixed,
	.mac .bg-fixed .elementor-background-overlay,
	.mac .bg-fixed:before,
	.ios .bg-fixed,
	.ios .bg-fixed .elementor-background-overlay,
	.ios .bg-fixed:before {
		background-attachment: scroll !important;
		transform: translateZ(1);
		background-size: contain !important;
		background-repeat: repeat !important;
	}
}


/* ******************************
 * FIXED BACKGROUND - APPLE LANDSCAPE TWEAK
 * *************************** */
/* SAFARI */
@media only screen and (orientation: landscape) {
    .e--ua-appleWebkit.e--ua-safari .elementor-element.e-con::before {
        background-attachment: intial !important;
    }
}

/* OTHERS */
@media only screen and (orientation: landscape) {
    .e--ua-appleWebkit .elementor-element.e-con::before {
       background-attachment: initial !important;
    }
}


/* *****************************
 * COLUMN GRADIENT - use col-hover and colorX class on the column and change colors below, can add extra classes for different columns w/different colors
 e.g. Z Demo Content Page Custom Hover Image Boxes
 * *************************** */
.col-hover .elementor-widget-wrap.elementor-element-populated {
    background-color: transparent !important;
    background-image: none !important;
	overflow: hidden;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:before,
.col-hover .elementor-widget-wrap.elementor-element-populated:after {
	content: "";
    display: block;
    position: absolute;
	margin: 1px;
    top: -1px;
    left: -1px;
    right: -1px;
    bottom: -1px;
    width: auto;
    height: auto;
	z-index: -1;	
	transition: all .5s ease-out;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:before {
    z-index: -1;
	opacity: 1;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:after {
    z-index: -1;
	opacity: 0;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:hover:before {
	opacity: 0;
}
.col-hover .elementor-widget-wrap.elementor-element-populated:hover:after {
	 opacity: 1;
}
.col-hover.color1 .elementor-widget-wrap.elementor-element-populated:before {
	background-color: #99000050;
    background-image: linear-gradient(180deg, #fff 0%, #99000022 100%);
}
.col-hover.color1 .elementor-widget-wrap.elementor-element-populated:after {
	background-color: #99000050;
    background-image: linear-gradient(180deg, #99000022 0%, #fff 100%);	
}
.col-hover.color2 .elementor-widget-wrap.elementor-element-populated:before {
	background-color: #aaaaaa50;
    background-image: linear-gradient(180deg, #fff 0%, #aaaaaa22 100%);
}
.col-hover.color2 .elementor-widget-wrap.elementor-element-populated:after {
	background-color: #aaaaaa50;
    background-image: linear-gradient(180deg, #aaaaaa22 0%, #fff 100%);	
}


/* *****************************
 * SECTION WITH 2 COLS - 1 FULL WIDTH 1 BOXED WIDTH - on Z Demo Content Pg
 * IMPORTANT!!! Change WIDTH BELOW to the TO THE MAX-WIDTH REM ADDED ABOVE in Site Settings > Layout
 * *************************** */
.full-container-boxed-col {
	max-width: calc(97.5rem / 2); /* set site boxed width & divide by 2 */
	margin-left: auto;
}

@media (max-width: 1024px){
	.full-container-boxed-col {
		max-width: none;
		margin-left: 0;
		margin-right: 0;
	}
}


/* *****************************
 * SECTION CONTENT COLUMNS with INNER SECTION with PADDED COLUMNS 
   e.g. Z Demo Content Page - Services We Offer Cols
 * *************************** */
.section-content-cols.elementor-section.elementor-section-boxed > .elementor-container,
.section-content-cols.elementor-section.elementor-section-boxed > .elementor-container .inner-section-padded-cols .elementor-container {
	max-width: 99.5rem !important;
}
.inner-section-padded-cols {
    margin-left: -1rem; 
    margin-right: -1rem;	
}

@media (min-width: 1024px) {
	/* Equal Height */
	.section-content-cols .elementor-column.content-col {
		height: 100% !important;
	}
	.section-content-cols .elementor-inner-section .elementor-column-wrap {
		height: 100%;
		flex-direction: column;
	}
	.section-content-cols .inner-section-padded-cols .elementor-widget-wrap {
		height: 100%;
		flex-direction: column;
	}
	.section-content-cols .elementor-widget-icon {
	    margin-top: auto !important;
		padding: 1rem;
	}
}

@media (max-width: 1024px) {
	/* CONTENT COLUMNS */
	.section-content-cols .content-col.last {
		margin: 0 auto;
	}
}


/* *****************************
 * SECTION 3 COL INSET SHADOWS - like Contact
 * *************************** */
.section-3-cols .col1 {
    border-left: 0px solid #333 !important;
    border-right: 1px solid #000 !important; 
}
.section-3-cols .col2 {
    border-left: 1px solid #333 !important;
    border-right: 1px solid #000 !important;    
}
.section-3-cols .col3 {
    border-left: 1px solid #333 !important;
    border-right: 0px solid #000 !important;
}

@media (max-width:767px) {
    .section-3-cols .col1 {
        border-left: 0px solid #444 !important;
        border-right: 0px solid #000 !important; 
        border-top: 1px solid #444 !important; 
        border-bottom: 1px solid #000 !important;         
    }
    .section-3-cols .col2 {
        border-left: 0px solid #444 !important;
        border-right: 0px solid #000 !important;
        border-top: 1px solid #444 !important;        
        border-bottom: 1px solid #000 !important;        
    }
    .section-3-cols .col3 {
        border-left: 0px solid #444 !important;
        border-right: 0px solid #000 !important;  
        border-top: 1px solid #444 !important;         
    }   
}


/* *****************************
 * SECTION - CONTAINER WITHIN OVERLAP UP LIKE HOME .overlap-top-section and .container-inner-overlap-up
 * *************************** */
.container-inner-overlap-up {
    transform: translateY(-50%);
}


/* *****************************
 * SECTION - HALF OVERLAY IMAGE like Home Intro
 * *************************** */
@media (min-width: 1025px) {
	.row-half-overlay:before {
	  top: 0;
	  left: 0;
	  width: 50vw !important;
	  height: 105% !important;
	  overflow: hidden; 
	  background-size: auto 105% !important;
	  background-repeat: no-repeat !important;
	  background-position: left center !important;
	}
}


/* *****************************
 * SERVICES PAGE BOXES - not for mega menu or Home
 * *************************** */
.service-box::after {
	position: absolute;
	content: '';
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	z-index: 1;
	transition: all .35s ease-in;
}
.service-box:hover::after {
    background: rgba(255, 255, 255, 0.25) !important;
    box-shadow: 0 0.65rem 3rem 0 #2d2d2d65 !important;
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
}
.service-box .elementor-widget-heading {
	z-index: 2;
}
.container-services .service-box .elementor-widget-heading:nth-of-type(2) {
	margin-top: 2rem;
}
@media (min-width: 1025px) {
	.container-services .service-box .elementor-widget-heading:nth-of-type(2) .elementor-widget-container {
		min-height: 14rem;
		align-items: center;
		align-content: center;
		display: flex;
		flex-direction: column;
		justify-content: center;
		flex-wrap: wrap;
	}
}


@media (max-width: 1024px) {
	.container-services .service-box {
		width: 50% !important;
	}
	.container-services .service-box .elementor-widget-heading:nth-of-type(2) .elementor-widget-container {
		min-height: 8rem;
		align-items: center;
		align-content: center;
		display: flex;
		flex-direction: column;
		justify-content: center;
		flex-wrap: wrap;
	}	
}
@media (max-width: 767px) {
	.container-services .service-box {
		width: 100% !important;
	}
}


/* *****************************
 * SINGLE COLUMN LIST
 * *************************** */
.styled-list ul {
	display: flex;
	flex-wrap: wrap;
	padding: 0;
	margin: 0 0 1rem;
	list-style: none;
}
.styled-list li {
	display: flex;
	flex-direction: row;
	box-sizing: border-box;
	position: relative;
	padding: 1.5rem .5rem;
	flex-wrap: nowrap;
	align-items: center;
	border-bottom: 1px solid #EEE;
	width: 100%;
}
.styled-list li p {
	line-height: 1.2em;
	margin: 0;
}


/* *****************************
 * TWO COLUMN LISTS
 * *************************** */
	.flex-column-list ul {
		display: flex;
		flex-wrap: wrap;
		padding: 0;
		margin: 0 0 1rem;
		list-style: none;
	}
	.flex-column-list li {
		display: flex;
		flex-direction: row;
		box-sizing: border-box;
		position: relative;
		padding: 1.5rem .5rem;
		flex-wrap: nowrap;
		align-items: center;
		border-bottom: 1px solid #EEE;
		width: 100%;
	}
	.flex-column-list li p {
		line-height: 1.2em;
		margin: 0;
	}
@media (min-width: 1025px) {
	.flex-column-list li {
		display: flex;
		flex-basis: calc(50% - 12px);
		flex-direction: row;
		box-sizing: border-box;
		position: relative;
		padding: 1.5rem .5rem;
		flex-wrap: nowrap;
		align-items: center;
	}
	.flex-column-list li:nth-child(even) {
	    margin-left: 24px; /* Margin between columns */
	}
}



/* *****************************
 * HERO
 * *************************** */
@media (min-width: 1800px) {
	.hero .e-con-inner {
		padding-bottom: 16rem !important;
	}
}

/* HERO H1 SHADOW */
body:not(.home) .hero h1.elementor-heading-title {
	text-shadow: 0 0 5px #000000cc;
}

/* HERO VIDEO */
/* .hero,
.hero .elementor-background-video-container { */
/* 	mix-blend-mode: multiply !important; */
/* 	transform: translateZ(1px); */
/* } */


/* HERO SPLIT COLS */
.hero .elementor-background-video-container {
	background-color: #29ABE2 !important;
}
.hero .elementor-background-video-hosted {
	mix-blend-mode: multiply !important;
}

@media (min-width: 1025px) {
	.hero .elementor-background-video-container:after {
		content:"";
		position: absolute;
		height: 100%;
		left: 0;
		top: 0;
		width: 50%;
		background: rgb(199 207 227 / 80%);
		backdrop-filter: blur(3px);
		-webkit-backdrop-filter: blur(3px);
		mix-blend-mode: soft-light;
		/* mix-blend-mode: overlay; */
	}
	.hero .elementor-background-video-container:after {
		content:"";
		position: absolute;
		height: 100%;
		left: 0;
		top: 0;
		width: 50%;
		background: rgba( 255, 255, 255, 0.15);
		backdrop-filter: blur(3px);
		-webkit-backdrop-filter: blur(3px);
		mix-blend-mode: normal;
	}	
}

@media (max-width: 1024px) {
	.hero .elementor-background-video-container:after {
		content:"";
		position: absolute;
		height: 100%;
		left: 0;
		top: 25rem;
		width: 100%;
		background: rgb(199 207 227 / 80%);
		mix-blend-mode: soft-light;		
		backdrop-filter: blur(3px);
		-webkit-backdrop-filter: blur(3px);	
	}
	.hero .elementor-background-video-container:after {
		content:"";
		position: absolute;
		height: 100%;
		left: 0;
		top: 25rem;
		width: 100%;
		background: rgba( 255, 255, 255, 0.15);
		mix-blend-mode: normal;		
		backdrop-filter: blur(3px);
		-webkit-backdrop-filter: blur(3px);	
	}	
	.ios .hero .elementor-background-video-container:after {
		display: none;
	}
	.ios .hero .hero-left h1 {
		mix-blend-mode: normal !important;
	}
	.ios .hero .hero-left {
		background: rgba( 255, 255, 255, 0.15);	
	}	
}


/* *****************************
 * GLASSMORPHISM SECTIONS
 * *************************** */
.hover-glass {
	transition: all 0.25s ease-in-out;		
	background: rgba(255, 255, 255, 0) !important;	
    border-bottom: 1px solid rgba(255, 255, 255, 0) !important;
	border-top: 1px solid rgba(255, 255, 255, 0) !important;
}
.blur-bg,
.hover-glass:hover {
    background: rgba(255, 255, 255, 0.55) !important;
    box-shadow: 0 0.65rem 3rem 0 #2d2d2d65 !important;
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    border-bottom: 1px solid rgba(255, 255, 255, 0) !important;
	border-top: 1px solid rgba(255, 255, 255, 0) !important;	
}
.hover-glass:hover {
    border-bottom: 1px solid rgba(255, 255, 255, 0.25) !important;
	border-top: 1px solid rgba(255, 255, 255, 0.25) !important;
}


/* *****************************
 * SERVICE TEXT ROWS
 * *************************** */
.service-row:hover .elementor-widget-heading .elementor-widget-container {
    transform: scale(1.025);
}
.service-row .elementor-icon i:before {
	transition: all .5s ease-in-out;
	transform: translateX(-50px);	
	opacity: 0;
}
.service-row:hover .elementor-icon i:before {
	font-size: 3rem !important;
	opacity: 1;
	transform: translateX(0px);
}



/* *****************************
 * SERVICES TABS TEMPLATE & SECTION
 * *************************** */
/* SERVICES TABS TEMPLATE EDITOR */
.elementor-page-4586.elementor-editor-active {
    background: black !important;
}

/* SERVICES TABS SECTION */
.services-template,
.services-template .elementor-element {
    width: 100%;
}

@media (min-width: 768px) {
	.ha-tabs__nav, 
	.ha-tabs__content {
		width: 50% !important;
		max-width: 100% !important;
		flex: 50% !important;
	}
}

/* TAB TITLE */
.ha-tab__title .ha-tab__title-text:after {
	content: '';
	position: absolute;
	width: 0px;
	height: 4px;
	left: 0%;
	bottom:0;
	background-color: #0071BC;
	background: linear-gradient(90deg, #0071BC 0%, #29ABE2 50%);
	transition: all 500ms cubic-bezier(0.390, 0.575, 0.565, 1.000); /* easeOutSine */
}
.ha-tab__title.ha-tab--active .ha-tab__title-text:after {
  width: 100%;
  left: 0;
}
.ha-tab__title-text {
  transition: all ease-in-out 1s;		
}
.ha-tabs>.ha-tabs__content>.ha-tab__content {
	border: 0;
}
.ha-tab__title-icon i {
	transition: color 1s;
}
.ha-tab--active .ha-tab__title-icon i {
	color: #0071BC;
}
.ha-tab__title.ha-tab--active {
    border-left: 0 !important;
    border-right: 0 !important;
    border-top: 0 !important;
}

@media (max-width: 768px) {
	.ha-tab__title .ha-tab__title-text:after {
		bottom: auto !important;
		top: inherit !important;
		margin-top: 3.35rem;
	}
}

/* TAB CONTENT */
.ha-tabs>.ha-tabs__content>.ha-tab__content.ha-tab--active {
    border-width: 0;	
	min-height: 35rem;
}

.ha-tab__content a  {
	margin-top: 2rem;	
}

@media (min-width: 768px) {
	.ha-tab__content:after {
		content: '';
		position: absolute;
		width: 4px;
		height: 100%;
		left: 0%;
		top: 0;
		background: linear-gradient(90deg, #0071BC 0%, #29ABE2 50%);
		transition: all 500ms cubic-bezier(0.390, 0.575, 0.565, 1.000); /* easeOutSine */
	}
}

@media (max-width: 768px) {
	.ha-tabs>.ha-tabs__content>.ha-tab__content.ha-tab--active {
		min-height: unset;
	}
}